package com.chenyang.nse.bussiness.entity.vo;

import java.util.List;

public class MenuRtVO {
   private String id;
   private String name;
   private String path;
   private String icon;
   private String type;
   private List<MenuRtVO> children;

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getPath() {
      return this.path;
   }

   public void setPath(String path) {
      this.path = path;
   }

   public String getIcon() {
      return this.icon;
   }

   public void setIcon(String icon) {
      this.icon = icon;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public List<MenuRtVO> getChildren() {
      return this.children;
   }

   public void setChildren(List<MenuRtVO> children) {
      this.children = children;
   }

   public MenuRtVO(String id, String name, String path, String icon, String type) {
      this.id = id;
      this.name = name;
      this.path = path;
      this.icon = icon;
      this.type = type;
   }
}
